KaTeX Ruby Gem Updated with KaTeX v0.13.3

Today, I made an update to the KaTeX Ruby gem. The patch upgrades the bundled version of KaTeX from v0.11.0 to v0.13.3. The two major updates add several features and new symbols including support for MathML in display mode and \underbar.

There are two breaking changes:

  • IE 9/10 support removed
  • old-style numerals are now available via \mathnormal instead of \mathcal

In order to use the new gem on your website (eg. with Jekyll), you’ll want to update to the 0.13.3 stylesheet. For example, if you previously used the following CSS declaration

<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/katex@0.11.0/dist/katex.min.css" crossorigin="anonymous">

then you’ll want to replace it with

<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/katex@0.13.3/dist/katex.min.css" crossorigin="anonymous">

Otherwise, you might get display issues.


github mail linkedin gscholar pdf slides